Update 1
Update an action secret
Updates an existing action secret
Request
URI
PUT
https://{vcfa-fqdn}/abx/api/resources/action-secrets/{id}
COPY
Path Parameters
string
id
Required
ID of the action secret
Request Body
ActionSecret
of type(s)
application/json
Required
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"value": {},
"encrypted": false
}
string
id
Read-Only
id
string
name
Optional
name
integer As int64
As int64
createdMillis
Read-Only
createdMillis
string
orgId
Optional
orgId
object
value
Optional
value
boolean
encrypted
Optional
encrypted
Responses
200
Action secret updated successfully
Returns
ActionSecret
of type(s)
*/*
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"value": {},
"encrypted": false
}
400
Invalid request to update action secret
Returns
ActionSecret
of type(s)
*/*
"ActionSecret Object"
string
id
Read-Only
id
string
name
Optional
name
integer As int64
As int64
createdMillis
Read-Only
createdMillis
string
orgId
Optional
orgId
object
value
Optional
value
boolean
encrypted
Optional
encrypted
401
Unauthorized to make the request
Returns
ActionSecret
of type(s)
*/*
"ActionSecret Object"
string
id
Read-Only
id
string
name
Optional
name
integer As int64
As int64
createdMillis
Read-Only
createdMillis
string
orgId
Optional
orgId
object
value
Optional
value
boolean
encrypted
Optional
encrypted
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/abx/api/resources/action-secrets/{id}
On This Page
Action Constants Operations
GET
Get By Id
PUT
Update 1
DELETE
Delete Action Secret
GET
Get All
POST
Create 1